Maven setup

D

DANNY1000000

Guest
Hi Guys,

Looking for some information on how to setup a project with maven.
Firstly, can I create a project with the following archetype without having to install grails on my machine:

mvn archetype:generate -DarchetypeGroupId=org.grails -DarchetypeArtifactId=grails-maven-archetype -DarchetypeVersion=${grailsVersion} -DgroupId=example -DartifactId=my-app -DarchetypeRepository=http://repo.grails.org/grails/core/


Secondly, I have attempted to do the first part but have error messages stating:

[WARNING] The POM for org.grails.plugins:tomcat:zip:7.0.52.1 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:hibernate:zip:3.6.10.13 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:scaffolding:zip:2.0.1 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:jquery:zip:1.11.0.1 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:resources:zip:1.2.7 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:database-migration:zip:1.4.0 is missing, no dependency information available
[WARNING] The POM for org.grails.plugins:cache:zip:1.1.3 is missing, no dependency information available

[ERROR] Failed to execute goal on project my-app: Could not resolve dependencies for project example:my-app:grails-app:1.0-SNAPSHOT: The following artifacts could not be resolved: org.grails:grails-dependencies:jar:2.3.8, org.grails.plugins:tomcat:zip:7.0.52.1, org.grails.plugins:hibernate:zip:3.6.10.13, org.grails.plugins:scaffolding:zip:2.0.1, org.grails.plugins:jquery:zip:1.11.0.1, org.grails.plugins:resources:zip:1.2.7, org.grails.plugins:database-migration:zip:1.4.0, org.grails.plugins:cache:zip:1.1.3: Failure to find org.grails:grails-dependencies:jar:2.3.8 in http://subversion:8081/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of nexus has elapsed or updates are forced

Thanks
 
Top